function ifcs = rccom_enumifaces(varargin)
% RCCOM_ENUMIFACES returns array of all known and usable interfaces
%
% IFCS = RCCOM_ENUMIFACES() returns cell array of name of interfaces
%

% ******************************************************************************
% File:      rccom_enumifaces.m
% Purpose:   Matlab script for enumeration of RCCOM known interfaces.
% Project:   SESA - RCCOM
% Version:   1.2.0
% Author:    Roman Bartosinski <bartosr@utia.cas.cz>
% Date:      1.8.2006
% 
% Copyright:   
%  (c) 2006 Roman Bartosinski, Dept. of Signal Processing, UTIA/CAS
%           http://sp.utia.cz
% 
% Acknowledgement:
%  This work was partially supported by Academy of Sciences of the Czech
%  Republic under project No. 1ET400750406.
%  
% Description:
%  Matlab script for enumeration of RCCOM known interfaces.
% 
% Modifications:
%  Date:$date$ Author:$author$
%  Modified: $changes$
%  --
%  
% ******************************************************************************

if nargout>0
    ifcs = '';
    ifcs = rcmexfnc('enumifaces');
else
    rcmexfnc('enumifaces');
end;
